app = $(if $(wildcard vendor/bin/sail), vendor/bin/sail, php)

lint:
	$(app) pint

build:
	npm run build

up:
	$(app) up -d

down:
	$(app) down

deploy:
	git pull
	$(app) artisan migrate --force
	make seed
	npm run build

install:
	$(app) composer install
	npm install

rollback:
	$(app) artisan migrate:rollback

certs:
	certbot --nginx -d acebjj.co.uk -d www.acebjj.co.uk

seed:
	$(app) artisan db:seed --class=FaqSeed
	$(app) artisan db:seed --class=BlogSeed

